| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | Properties | List of all members
Digikam::FocusPointGroup Class Reference
Inheritance diagram for Digikam::FocusPointGroup:

## Public Slots
void | aboutToSetInfoAfterRotate (const ItemInfo &info)
void | addPoint ()
void | setInfo (const ItemInfo &info)
| Sets the current ItemInfo.
void | setVisible (bool visible)
| Shows or hides the frames.
void | setVisibleItem (RegionFrameItem *const item)

## Public Member Functions
| FocusPointGroup (GraphicsDImgView *const view)
bool | hasVisibleItems () const
ItemInfo | info () const
bool | isAllowedToAddFocusPoint () const
bool | isVisible () const
QList< RegionFrameItem * > | items () const
void | leaveEvent (QEvent *)

## Protected Slots
void | itemStateChanged (int)
void | slotAddItemFinished (const QRectF &rect)
void | slotAddItemMoving (const QRectF &rect)
void | slotAddItemStarted (const QPointF &pos)
void | slotAlbumsUpdated (int type)
void | slotCancelAddItem ()

## Protected Member Functions
void | clear ()
void | load ()

## Properties
bool | visible